Download it now!
Bug 115989 - LibreLogo: Add functionality to generate chemical formulas
Summary: LibreLogo: Add functionality to generate chemical formulas
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LibreLogo
  Show dependency treegraph
 
Reported: 2018-02-24 10:46 UTC by Volga
Modified: 2018-05-02 09:34 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Volga 2018-02-24 10:46:28 UTC
Description:
With this function LibreLogo can be able to produce chemical formula images if user input SMILES or InChIKeys.

Steps to Reproduce:
-

Actual Results:  
-

Expected Results:
-


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Android 5.1.1; Mobile; rv:58.0) Gecko/58.0 Firefox/58.0
Comment 1 Xisco Faulí 2018-03-27 10:11:23 UTC
@László Németh, What do you think about this enhancement ?
Comment 2 Alex Thurgood 2018-03-27 13:57:39 UTC
(In reply to Volga from comment #0)
> Description:
> With this function LibreLogo can be able to produce chemical formula images
> if user input SMILES or InChIKeys.
> 

IMO, this is not a trivial undertaking. See for example:

https://www.ncbi.nlm.nih.gov/pmc/articles/PMC4486400/

Additionally, and for what it is worth, there is/was already an open source software program written in Python that can/could save chemical structure files to ODG format - it is/was called BKchem. It accepts SMILES and Inchlkey input (not perfectly, bu then Inchl is ambiguous for some structures, e.g. tautomers). 

Unfortunately, develoement of BKchem does appear to have stalled somewhat, the last release being in 2010.
Comment 3 Timur 2018-03-27 16:27:48 UTC
Not widely used and probably not likely to be created in LO.
And there's ACD Chemsketch. So I'd rather first solved Bug 41228.
Comment 4 Alex Thurgood 2018-03-27 17:35:53 UTC
I get where the request is coming from - it would be useful to have an open source chemical structure editor for LibreOffice, but it would probably be better to provide it as a separate extension rather than adding to LibreLogo.

As to comment 3, of course having ACD ChemSketch play nicely with LibreOffice would be nice too, but that is purely a Windows only program.
Comment 5 Xisco Faulí 2018-05-02 09:34:28 UTC
(In reply to Alex Thurgood from comment #4)
> I get where the request is coming from - it would be useful to have an open
> source chemical structure editor for LibreOffice, but it would probably be
> better to provide it as a separate extension rather than adding to LibreLogo.
> 
> As to comment 3, of course having ACD ChemSketch play nicely with
> LibreOffice would be nice too, but that is purely a Windows only program.

I agree. If anybody wants to implement this feature, better to do it in an extension. Closing as RESOLVED WONTFIX for the time being...